#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kde-dev-scripts
Summary: K Desktop Environment - Software Development Kit
Version: 4.12.5
Group: Graphical desktop/KDE
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%version

Conflicts: kdesdk4-core < 1:4.10.80
Conflicts: kdesdk4-scripts < 1:4.10.80
Obsoletes: kdesdk4-scripts < 1:4.10.80

Obsoletes: kbugbuster < 1:4.5.76

%description

This package contains the scripts for KDE development which are contained in the
kdesdk module.

%files 
%_kde_bindir/adddebug
%_kde_bindir/build-progress.sh
%_kde_bindir/cheatmake
%_kde_bindir/krazy-licensecheck
%_kde_bindir/create_cvsignore
%_kde_bindir/create_makefile
%_kde_bindir/create_makefiles
%_kde_bindir/create_svnignore
%_kde_bindir/cvs-clean
%_kde_bindir/cvsaddcurrentdir
%_kde_bindir/cvsbackport
%_kde_bindir/cvsblame
%_kde_bindir/cvscheck
%_kde_bindir/cvsforwardport
%_kde_bindir/cvslastchange
%_kde_bindir/cvslastlog
%_kde_bindir/cvsrevertlast
%_kde_bindir/cvsversion
%_kde_bindir/cxxmetric
%_kde_bindir/draw_lib_dependencies
%_kde_bindir/extend_dmalloc
%_kde_bindir/extractattr
%_kde_bindir/extractrc
%_kde_bindir/findmissingcrystal
%_kde_bindir/fix-include.sh
%_kde_bindir/fixkdeincludes
%_kde_bindir/fixuifiles
%_kde_bindir/includemocs
%_kde_bindir/kde_generate_export_header
%_kde_bindir/kdedoc
%_kde_bindir/kdekillall
%_kde_bindir/kdelnk2desktop.py
%_kde_bindir/kdemangen.pl
%_kde_bindir/makeobj
%_kde_bindir/noncvslist
%_kde_bindir/nonsvnlist
%_kde_bindir/package_crystalsvg
%_kde_bindir/png2mng.pl
%_kde_bindir/pruneemptydirs
%_kde_bindir/qtdoc
%_kde_bindir/reviewboard-am
%_kde_bindir/svn-clean
%_kde_bindir/svnbackport
%_kde_bindir/svnchangesince
%_kde_bindir/svngettags
%_kde_bindir/svnintegrate
%_kde_bindir/svnforwardport
%_kde_bindir/svnlastchange
%_kde_bindir/svnlastlog
%_kde_bindir/svnrevertlast
%_kde_bindir/svnversions
%_kde_bindir/zonetab2pot.py
%_kde_bindir/optimizegraphics
%_kde_bindir/wcgrep
%_kde_bindir/kde-systemsettings-tree.py
%_kde_mandir/man1/adddebug.1.*
%_kde_mandir/man1/cheatmake.1.*
%_kde_mandir/man1/create_cvsignore.1.*
%_kde_mandir/man1/create_makefile.1.*
%_kde_mandir/man1/create_makefiles.1.*
%_kde_mandir/man1/cvscheck.1.*
%_kde_mandir/man1/cvslastchange.1.*
%_kde_mandir/man1/cvslastlog.1.*
%_kde_mandir/man1/cvsrevertlast.1.*
%_kde_mandir/man1/cxxmetric.1.*
%_kde_mandir/man1/extend_dmalloc.1.*
%_kde_mandir/man1/extractrc.1.*
%_kde_mandir/man1/fixincludes.1.*
%_kde_mandir/man1/pruneemptydirs.1.*
%_kde_mandir/man1/qtdoc.1.*
%_kde_mandir/man1/reportview.1.*
%_kde_mandir/man1/transxx.1.*
%_kde_mandir/man1/zonetab2pot.py.1.*

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

# (nl) Prefer the file from colorsvn as it is more up to date
# and this removing fix a conflict between kde-dev-scripts and colorsvn
rm -f %buildroot%{_kde_bindir}/colorsvn

%changelog
* Sun Jun 29 2014 lmenut <lmenut> 1:4.12.5-1.mga4
+ Revision: 641279
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 554969
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551238
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540379
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490822
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476903
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465243
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458883
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455273
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1
- Fix files list

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448017
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kde-dev-scripts

  + lmenut <lmenut>
    - Add missing conflicts

